Subject: :lock:
Author: KolushovAlexandr
Committer: KolushovAlexandr

Date Level Type Message
2019-07-10 12:34:00 INFO runbot init Init build environment
2019-07-10 12:34:00 INFO runbot checkout ignore repo "misc-addons" as all modules are already in addons-dev branch
2019-07-10 12:34:00 INFO runbot checkout closest branch for odoo/odoo is refs/heads/11.0
2019-07-10 12:34:00 INFO runbot checkout closest branch for it-projects-llc/web is refs/heads/11.0
2019-07-10 12:34:00 INFO runbot checkout closest branch for it-projects-llc/website-addons is refs/heads/11.0
2019-07-10 12:34:00 INFO runbot checkout closest branch for it-projects-llc/pos-addons is refs/heads/11.0
2019-07-10 12:34:00 INFO runbot checkout closest branch for it-projects-llc/l10n-addons is refs/heads/11.0
2019-07-10 12:34:00 INFO runbot checkout closest branch for it-projects-llc/access-addons is refs/heads/11.0
2019-07-10 12:34:00 INFO runbot checkout closest branch for it-projects-llc/mail-addons is refs/heads/11.0
2019-07-10 12:34:00 INFO runbot checkout closest branch for it-projects-llc/rental-addons is refs/heads/11.0
2019-07-10 12:34:00 INFO runbot checkout closest branch for it-projects-llc/website is refs/heads/11.0
2019-07-10 12:34:00 INFO runbot checkout closest branch for it-projects-llc/hr is refs/heads/11.0
2019-07-10 12:34:00 INFO runbot checkout closest branch for it-projects-llc/reporting-engine is master
2019-07-10 12:34:00 INFO runbot checkout closest branch for OCA/event is refs/heads/11.0
2019-07-10 12:34:00 INFO runbot checkout closest branch for OCA/partner-contact is refs/heads/11.0
2019-07-10 12:34:00 INFO runbot checkout modules to install: [u'fleet_parse_from_xml']
2019-07-10 12:34:43 INFO runbot check_branch_name success
2019-07-10 12:34:46 INFO runbot test_base Test Updated and explicit modules
2019-07-10 12:34:46 INFO runbot _install_and_test DB: 00976-680-c6ff99-base, Modules: fleet_parse_from_xml
2019-07-10 12:35:55 INFO runbot pylint_script Start pylint script
2019-07-10 12:35:55 INFO runbot pylint_script No config file detected
2019-07-10 12:36:12 INFO runbot test_all Testing all modules is not configured for this repo
2019-07-10 12:36:12 INFO runbot run Start running build 00976-680-c6ff99
2019-07-11 04:02:32 WARNING server py.warnings:99 _showwarnmsg
/usr/local/lib/python3.6/site-packages/werkzeug/filesystem.py:63: BrokenFilesystemWarning: Detected a misconfigured UNIX filesystem: Will use UTF-8 as filesystem encoding instead of 'ascii'
  BrokenFilesystemWarning)
2019-07-11 04:02:33 ERROR server werkzeug:87 _log
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 205, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 193, in execute
    application_iter = app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/service/wsgi_server.py", line 166, in application
    return application_unproxied(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/service/wsgi_server.py", line 154, in application_unproxied
    result = handler(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1321, in __call__
    return self.dispatch(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1295, in __call__
    return self.app(environ, start_wrapped)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/wsgi.py", line 599, in __call__
    return self.app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1493, in dispatch
    result = ir_http._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/auth_signup/models/ir_http.py", line 19, in _dispatch
    return super(Http, cls)._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/web_editor/models/ir_http.py", line 22, in _dispatch
    return super(IrHttp, cls)._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_http.py", line 212, in _dispatch
    return cls._handle_exception(e)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_http.py", line 182, in _handle_exception
    return request._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 773, in _handle_exception
    return super(HttpRequest, self)._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 312, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/pycompat.py", line 87, in reraise
    raise value
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_http.py", line 208, in _dispatch
    result = request.dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 832, in dispatch
    r = self._call_function(**self.params)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 344, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 340, in checked_call
    result.flatten()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1272, in flatten
    self.response.append(self.render())
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1265, in render
    return env["ir.ui.view"].render_template(self.template, self.qcontext)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_ui_view.py", line 1211, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/web_editor/models/ir_ui_view.py", line 27, in render
    return super(IrUiView, self).render(values=values, engine=engine)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_ui_view.py", line 1220, in render
    return self.env[engine].render(self.id, qcontext)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 57, in render
    return super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 274, in render
    self.compile(template, options)(self, body.append, values or {})
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 347, in _compiled_fn
    raise e
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 345, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_171_33
    
  File "<template>", line 2, in body_call_content_32
    
  File "<template>", line 3, in set_27
    
  File "<decorator-gen-39>", line 2, in _get_asset_nodes
    
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 299, in _get_asset_nodes
    files, remains = self._get_asset_content(xmlid, options)
  File "<decorator-gen-40>", line 2, in _get_asset_content
    
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 324, in _get_asset_content
    template = env['ir.qweb'].render(xmlid, {"get_modules_order": get_modules_order})
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 57, in render
    return super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 274, in render
    self.compile(template, options)(self, body.append, values or {})
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 352, in _compiled_fn
    raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name)
odoo.addons.base.ir.ir_qweb.qweb.QWebException: FATAL:  sorry, too many clients already

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_nodes at 0x7ff8c2041400>, 'web.assets_backend', 'en_US', True, False, False, False, False, (None,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_content at 0x7ff8c2041598>, 'web.assets_backend', 'en_US', (None,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 345, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_web_assets_backend_41
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 322, in get_modules_order
    return json.dumps(module_boot())
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/web/controllers/main.py", line 187, in module_boot
    monodb = db or db_monodb()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1542, in db_monodb
    dbs = db_list(True, httprequest)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1509, in db_list
    dbs = odoo.service.db.list_dbs(force)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/service/db.py", line 374, in list_dbs
    res = list_dbs_origin(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/service/db.py", line 391, in list_dbs_origin
    with closing(db.cursor()) as cr:
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/sql_db.py", line 637, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/sql_db.py", line 178, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/sql_db.py", line 520, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/sql_db.py", line 588, in borrow
    **connection_info)
  File "/usr/local/lib/python3.6/site-packages/psycopg2/__init__.py", line 130, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
psycopg2.OperationalError: FATAL:  sorry, too many clients already


Error to render compiling AST
OperationalError: FATAL:  sorry, too many clients already

Template: web.assets_backend
Path: /templates/t/script[5]/t
Node: <t t-raw="get_modules_order()"/>;
2019-07-11 04:02:36 ERROR server werkzeug:87 _log
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 205, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 193, in execute
    application_iter = app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/service/wsgi_server.py", line 166, in application
    return application_unproxied(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/service/wsgi_server.py", line 154, in application_unproxied
    result = handler(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1321, in __call__
    return self.dispatch(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1295, in __call__
    return self.app(environ, start_wrapped)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/wsgi.py", line 599, in __call__
    return self.app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1493, in dispatch
    result = ir_http._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/auth_signup/models/ir_http.py", line 19, in _dispatch
    return super(Http, cls)._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/web_editor/models/ir_http.py", line 22, in _dispatch
    return super(IrHttp, cls)._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_http.py", line 212, in _dispatch
    return cls._handle_exception(e)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_http.py", line 182, in _handle_exception
    return request._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 773, in _handle_exception
    return super(HttpRequest, self)._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 312, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/pycompat.py", line 87, in reraise
    raise value
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_http.py", line 208, in _dispatch
    result = request.dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 832, in dispatch
    r = self._call_function(**self.params)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 344, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 340, in checked_call
    result.flatten()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1272, in flatten
    self.response.append(self.render())
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1265, in render
    return env["ir.ui.view"].render_template(self.template, self.qcontext)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_ui_view.py", line 1211, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/web_editor/models/ir_ui_view.py", line 27, in render
    return super(IrUiView, self).render(values=values, engine=engine)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_ui_view.py", line 1220, in render
    return self.env[engine].render(self.id, qcontext)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 57, in render
    return super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 274, in render
    self.compile(template, options)(self, body.append, values or {})
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 347, in _compiled_fn
    raise e
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 345, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_171_42
    
  File "<template>", line 2, in body_call_content_41
    
  File "<template>", line 3, in set_36
    
  File "<decorator-gen-39>", line 2, in _get_asset_nodes
    
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 299, in _get_asset_nodes
    files, remains = self._get_asset_content(xmlid, options)
  File "<decorator-gen-40>", line 2, in _get_asset_content
    
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 324, in _get_asset_content
    template = env['ir.qweb'].render(xmlid, {"get_modules_order": get_modules_order})
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 57, in render
    return super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 274, in render
    self.compile(template, options)(self, body.append, values or {})
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 352, in _compiled_fn
    raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name)
odoo.addons.base.ir.ir_qweb.qweb.QWebException: FATAL:  sorry, too many clients already

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_nodes at 0x7ff8c2041400>, 'web.assets_backend', 'en_US', True, False, False, False, False, (None,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_content at 0x7ff8c2041598>, 'web.assets_backend', 'en_US', (None,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 345, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_web_assets_backend_50
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 322, in get_modules_order
    return json.dumps(module_boot())
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/web/controllers/main.py", line 187, in module_boot
    monodb = db or db_monodb()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1542, in db_monodb
    dbs = db_list(True, httprequest)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1509, in db_list
    dbs = odoo.service.db.list_dbs(force)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/service/db.py", line 374, in list_dbs
    res = list_dbs_origin(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/service/db.py", line 391, in list_dbs_origin
    with closing(db.cursor()) as cr:
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/sql_db.py", line 637, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/sql_db.py", line 178, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/sql_db.py", line 520, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/sql_db.py", line 588, in borrow
    **connection_info)
  File "/usr/local/lib/python3.6/site-packages/psycopg2/__init__.py", line 130, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
psycopg2.OperationalError: FATAL:  sorry, too many clients already


Error to render compiling AST
OperationalError: FATAL:  sorry, too many clients already

Template: web.assets_backend
Path: /templates/t/script[5]/t
Node: <t t-raw="get_modules_order()"/>;
2019-07-11 04:02:40 ERROR server werkzeug:87 _log
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 205, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 193, in execute
    application_iter = app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/service/wsgi_server.py", line 166, in application
    return application_unproxied(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/service/wsgi_server.py", line 154, in application_unproxied
    result = handler(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1321, in __call__
    return self.dispatch(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1295, in __call__
    return self.app(environ, start_wrapped)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/wsgi.py", line 599, in __call__
    return self.app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1493, in dispatch
    result = ir_http._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/auth_signup/models/ir_http.py", line 19, in _dispatch
    return super(Http, cls)._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/web_editor/models/ir_http.py", line 22, in _dispatch
    return super(IrHttp, cls)._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_http.py", line 212, in _dispatch
    return cls._handle_exception(e)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_http.py", line 182, in _handle_exception
    return request._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 773, in _handle_exception
    return super(HttpRequest, self)._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 312, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/pycompat.py", line 87, in reraise
    raise value
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_http.py", line 208, in _dispatch
    result = request.dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 832, in dispatch
    r = self._call_function(**self.params)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 344, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 340, in checked_call
    result.flatten()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1272, in flatten
    self.response.append(self.render())
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1265, in render
    return env["ir.ui.view"].render_template(self.template, self.qcontext)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_ui_view.py", line 1211, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/web_editor/models/ir_ui_view.py", line 27, in render
    return super(IrUiView, self).render(values=values, engine=engine)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_ui_view.py", line 1220, in render
    return self.env[engine].render(self.id, qcontext)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 57, in render
    return super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 274, in render
    self.compile(template, options)(self, body.append, values or {})
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 347, in _compiled_fn
    raise e
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 345, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_171_42
    
  File "<template>", line 2, in body_call_content_41
    
  File "<template>", line 3, in set_36
    
  File "<decorator-gen-39>", line 2, in _get_asset_nodes
    
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 299, in _get_asset_nodes
    files, remains = self._get_asset_content(xmlid, options)
  File "<decorator-gen-40>", line 2, in _get_asset_content
    
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 324, in _get_asset_content
    template = env['ir.qweb'].render(xmlid, {"get_modules_order": get_modules_order})
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 57, in render
    return super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 274, in render
    self.compile(template, options)(self, body.append, values or {})
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 352, in _compiled_fn
    raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name)
odoo.addons.base.ir.ir_qweb.qweb.QWebException: FATAL:  sorry, too many clients already

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_nodes at 0x7ff8c2041400>, 'web.assets_backend', 'en_US', True, False, None, False, False, (None,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_content at 0x7ff8c2041598>, 'web.assets_backend', 'en_US', (None,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/qweb.py", line 345, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_web_assets_backend_50
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 322, in get_modules_order
    return json.dumps(module_boot())
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/addons/web/controllers/main.py", line 187, in module_boot
    monodb = db or db_monodb()
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1542, in db_monodb
    dbs = db_list(True, httprequest)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/http.py", line 1509, in db_list
    dbs = odoo.service.db.list_dbs(force)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/service/db.py", line 374, in list_dbs
    res = list_dbs_origin(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/service/db.py", line 391, in list_dbs_origin
    with closing(db.cursor()) as cr:
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/sql_db.py", line 637, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/sql_db.py", line 178, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/sql_db.py", line 520, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00976-680-c6ff99/odoo/sql_db.py", line 588, in borrow
    **connection_info)
  File "/usr/local/lib/python3.6/site-packages/psycopg2/__init__.py", line 130, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
psycopg2.OperationalError: FATAL:  sorry, too many clients already


Error to render compiling AST
OperationalError: FATAL:  sorry, too many clients already

Template: web.assets_backend
Path: /templates/t/script[5]/t
Node: <t t-raw="get_modules_order()"/>;